### Function

# Qmi message_tlv_write_init

since: 1.12

#### Declaration [src]

    gsize
    qmi_message_tlv_write_init (
      QmiMessage* self,
      guint8 type,
      GError** error
    )

#### Description [src]

Starts building a new TLV in the `QmiMessage`.

In order to finish adding the TLV, `qmi_message_tlv_write_complete()` needs to be called.

If any error happens adding fields on the TLV, the previous state can be recovered using qmi_message_tlv_write_reset().

Available since: 1.12

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`type`

  Type: `guint8`

  Specific ID of the TLV to add.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gsize`

The offset where the TLV was started to be added, or 0 if an error happens.